"{ Package: 'ctu:ircompiler' }"

IRReturn subclass:#IRBlockReturnTop
	instanceVariableNames:'successor'
	classVariableNames:''
	poolDictionaries:''
	category:'IR Compiler-IR'
!


!IRBlockReturnTop methodsFor:'accessing'!

successor: anObject

	successor := anObject. 
!

successorSequences
	"sent to last instruction in sequence which is expected to be a jump and return instruction"

	^  { successor }
! !

!IRBlockReturnTop methodsFor:'interpret'!

executeOn: interpreter
	interpreter blockReturnTop.
! !

!IRBlockReturnTop methodsFor:'testing'!

isBlockReturnTop

	^true.
!

isRemote
	^false.
! !

!IRBlockReturnTop class methodsFor:'documentation'!

version_CVS
    ^ 'Header: /cvs/stx/cvut/stx/goodies/newcompiler/IRBlockReturnTop.st,v 1.3 2009/10/08 11:58:58 fm Exp '
!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !

